osl::rating::PatternLongGroup2 Class Reference

`#include <patternGroup.h>`

Inheritance diagram for osl::rating::PatternLongGroup2:

## Public Member Functions

| PatternLongGroup2 (int d)
Direction | makeDirection (Ptype ptype) const
void | show (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
int | findMatch (const NumEffectState &state, Move m, const RatingEnv &env) const
bool | effectiveInCheck () const
Public Member Functions inherited from osl::rating::Group
| Group (const std::string &name)
| Group (Feature *f)
virtual | ~Group ()
void | showMinMax (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showAll (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showTopN (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights, int n) const
void | saveResult (const std::string &directory, const range_t &range, const std::vector< double > &weights) const
bool | load (const std::string &directory, const range_t &range, std::vector< double > &weights) const

## Static Private Member Functions

static std::string | name (int direction_id)

## Private Attributes

int | direction_id

## Additional Inherited Members

Public Attributes inherited from osl::rating::Group
std::string | group_name

## Detailed Description

Definition at line 54 of file patternGroup.h.

## Constructor & Destructor Documentation

## PatternLongGroup2()

osl::rating::PatternLongGroup2::PatternLongGroup2 | ( | int | d | ) |

Definition at line 148 of file patternGroup.cc.

References osl::BISHOP, direction_id, osl::rating::Group::Group(), osl::LANCE, makeDirection(), name(), osl::PBISHOP, osl::PROOK, osl::PTYPE_EDGE, osl::PTYPE_MAX, osl::PTYPE_PIECE_MIN, and osl::ROOK.

## Member Function Documentation

## effectiveInCheck()

bool osl::rating::PatternLongGroup2::effectiveInCheck | ( |  | ) | const

inline virtual

Reimplemented from osl::rating::Group.

Definition at line 73 of file patternGroup.h.

## findMatch()

int osl::rating::PatternLongGroup2::findMatch | ( | const NumEffectState & | state,
|  | Move | m,
|  | const RatingEnv & | env ) const

virtual

Returns
  -1 if not found

Reimplemented from osl::rating::Group.

Definition at line 163 of file patternGroup.cc.

References osl::BISHOP, direction_id, osl::rating::PatternLong2::find(), osl::Piece::isPiece(), osl::LANCE, makeDirection(), osl::Piece::owner(), osl::PBISHOP, osl::Move::player(), osl::PROOK, osl::Move::ptype(), osl::Piece::ptype(), osl::PTYPE_MAX, osl::PTYPE_PIECE_MIN, and osl::ROOK.

## makeDirection()

Direction osl::rating::PatternLongGroup2::makeDirection | ( | Ptype | ptype | ) | const

inline

Definition at line 61 of file patternGroup.h.

References osl::BISHOP, osl::rating::PatternLongGroup::bishop_direction4, direction_id, and osl::unpromote().

Referenced by findMatch(), and PatternLongGroup2().

## name()

std::string osl::rating::PatternLongGroup2::name | ( | int | direction_id | ) |

static private

Definition at line 141 of file patternGroup.cc.

References direction_id.

Referenced by PatternLongGroup2().

## show()

void osl::rating::PatternLongGroup2::show | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const std::vector< double > & | weights ) const

inline virtual

Reimplemented from osl::rating::Group.

Definition at line 67 of file patternGroup.h.

References osl::rating::Group::showTopN().

## Member Data Documentation

## direction_id

int osl::rating::PatternLongGroup2::direction_id

private

Definition at line 57 of file patternGroup.h.

Referenced by findMatch(), makeDirection(), name(), and PatternLongGroup2().

The documentation for this class was generated from the following files:

- patternGroup.h
- patternGroup.cc